Bug 66936 - [maintainer] fix signed int problem in display
Summary: [maintainer] fix signed int problem in display
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-20 13:20 UTC by Dmitry Morozovsky
Modified: 2004-05-21 09:39 UTC (History)
0 users

See Also:


Attachments
file.diff (452 bytes, patch)
2004-05-20 13:20 UTC, Dmitry Morozovsky
no flags Details | Diff
file.shar (1.34 KB, text/plain)
2004-05-20 13:20 UTC, Dmitry Morozovsky
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky 2004-05-20 13:20:13 UTC
When displaying very active flows it is possible to overflow bytecount.

Reported by Gleb Smirnoff <glebius <at> sell <dot> sick <dot> ru>

Fix: (Two new patches ar shar'ed)
Comment 1 Dmitry Morozovsky 2004-05-20 14:54:57 UTC
On Thu, 20 May 2004 FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/66936'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=66936

Oops. I missed one problem place. Diff follows.

Sincerely,
D.Marck                                     [DM5020, MCK-RIPE, DM3-RIPN]
------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@rinet.ru ***
------------------------------------------------------------------------

Index: files/patch-ehnt__processflow.c
===================================================================
RCS file: /home/ncvs/ports/net-mgmt/ehnt/files/patch-ehnt__processflow.c,v
retrieving revision 1.1
diff -u -r1.1 patch-ehnt__processflow.c
--- files/patch-ehnt__processflow.c	16 Nov 2002 14:36:35 -0000	1.1
+++ files/patch-ehnt__processflow.c	20 May 2004 13:54:13 -0000
@@ -2,7 +2,7 @@
 $FreeBSD$

 --- ehnt_processflow.c.orig	Thu Oct  4 22:18:29 2001
-+++ ehnt_processflow.c	Thu Nov 14 22:17:18 2002
++++ ehnt_processflow.c	Thu May 20 17:53:13 2004
 @@ -218,7 +218,7 @@
  	dstip.s_addr=rec->dstaddr;
  	nexthop.s_addr=rec->nexthop;
@@ -12,3 +12,12 @@
  	printf("%d:%s:%d:",
  	       rec->input_index,
  	       inet_ntoa(srcip),
+@@ -228,7 +228,7 @@
+ 	       inet_ntoa(dstip),
+ 	       rec->dstport);
+
+-	printf("%d:%d:%d:",rec->dOctets,rec->dPkts,rec->prot);
++	printf("%u:%d:%d:",rec->dOctets,rec->dPkts,rec->prot);
+ 	printf("%d:%d\n",rec->src_as,rec->dst_as);
+
+ 	if (e_flt->big) {
Comment 2 Sergey A. Osokin freebsd_committer 2004-05-21 07:52:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

I'll handle this.
Comment 3 Sergey A. Osokin freebsd_committer 2004-05-21 09:39:21 UTC
State Changed
From-To: open->closed

Committed with some improvements, thanks!